#11 Exception on JBoss 3.2.5/Tomcat 5.0.26

v0.2.2
closed-fixed
Carlos Saltos
5
2004-10-17
2004-10-17
eruiz
No

Hi Oscar,

I have installed Oxyus on JBoss 3.2.5/Tomcat 5.0.26 an
the next exception is throwed when I try to acces to
the applicacation:

org.apache.jasper.JasperException: Unable to compile
class for JSP

Generated servlet error:
F:\DiSiD\projects\customer\sorymar\website\trunk\portal\liferay-ext\servers\jboss-tomcat\server\default\work\jboss.web\localhost\oxyus\org\apache\jsp\admin\index_jsp.java:6:
cannot access org.oxyus.util.Constants

Generated servlet error:
bad class file:
F:\DiSiD\projects\customer\sorymar\website\trunk\portal\liferay-ext\servers\jboss-tomcat\server\default\deploy\oxyus.war\WEB-INF\lib\oxyus.jar(org/oxyus/util/Constants.class)
class file has wrong version 49.0, should be 48.0
Please remove or make sure it appears in the correct
subdirectory of the classpath.
import org.oxyus.util.Constants;
^
1 error

org.apache.jasper.compiler.DefaultErrorHandler.javacError(DefaultErrorHandler.java:84)
org.apache.jasper.compiler.ErrorDispatcher.javacError(ErrorDispatcher.java:332)
org.apache.jasper.compiler.Compiler.generateClass(Compiler.java:412)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:472)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:451)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:439)
org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:511)
org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:295)
org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:292)
org.apache.jasper.servlet.JspServlet.service(JspServlet.java:236)
javax.servlet.http.HttpServlet.service(HttpServlet.java:810)

Regards.

Discussion

  • Carlos Saltos
    Carlos Saltos
    2004-10-17

    • status: open --> closed-fixed
     
  • Carlos Saltos
    Carlos Saltos
    2004-10-17

    Logged In: YES
    user_id=281986

    the javabyte code was generated with jdk1.5 an this prevents
    to oxyus to runs on older jdk versions ... for the next
    releases Oxyus will be compiled for support jdk1.3, jdk1.4
    and newer versions.